Skip to main content
Compute Management/Image Storage Related Interfaces/Image Storage Related Interfaces/Distributed Image Storage Related Interfaces
DELETEDistributed Image Storage Related InterfacesSince 0.6SynchronousAuth Required

Delete Monitor Node from Distributed Image Storage

Delete Monitor Node from Distributed Image Storage

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    UUID of the distributed image storage

Body Fields

  • monHostnamesListRequired

    List of monitor node names

  • systemTagsList

    System tags

  • userTagsList

    User tags

Responses

DELETE endpoints return an empty object on success, or a standard error structure on failure.

Success Response

{}

Error Response

{
  "error": {
    "code": "SYS.1001",
    "description": "A message or a operation timeout",
    "details": "Delete resource timeout after 300s"
  }
}

Endpoint

DELETE/zstack/v1/backup-storage/ceph/{uuid}/mons?monHostnames={monHostnames}

/zstack/v1/backup-storage/ceph/{uuid}/mons?monHostnames={monHostnames}

Operation ID

RemoveMonFromCephBackupStorage

Permalink

Request Example

curl -X DELETE 'http://{host}/zstack/v1/backup-storage/ceph/{uuid}/mons?monHostnames={monHostnames}' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"monHostnames":["<monHostnames>"],"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{}

Change History

This API has no change history records yet.

View all change history